# Pymcel

## Utilidades de Mecánica Celeste

[![version](https://img.shields.io/pypi/v/pymcel?color=blue)](https://pypi.org/project/pymcel/)
[![downloads](https://img.shields.io/pypi/dw/pymcel)](https://pypi.org/project/pymcel/)
[![license](https://img.shields.io/pypi/l/pymcel)](https://pypi.org/project/pymcel/)
[![implementation](https://img.shields.io/pypi/implementation/pymcel)](https://pypi.org/project/pymcel/)
[![pythonver](https://img.shields.io/pypi/pyversions/pymcel)](https://pypi.org/project/pymcel/)

El paquete `pymcel` contiene un conjunto de utilidades que pueden
usarse para la enseñanza de (o la investigación en) Mecánica Celeste o
Astrodinámica.

Las utilidades que contienen el paquete fueron originalmente
desarrolladas como parte del libro **Mecánica Celeste: teoría,
algoritmos y problemas** del profesor Jorge I. Zuluaga de la
Universidad de Antioquia.

## Download and install

`pymcel` esta disponible en `PyPI`, https://pypi.org/project/pymcel/.
Para instalar solo debe ejecutar.

```
   pip install -U pymcel
```

Si usted prefiere puede descargar e instalar directamente desde las 
[fuentes](https://pypi.org/project/pymcel/#files).

## Para empezar

Para empezar a usar el paquete basta que lo importe:

```python
import pymcel as pc
```

> **NOTA**: Si esta trabajando en `Google Colab` antes de producir cualquier plot debe cargar el 
  backend respectivo de matplotlib:

  ```python
  %matplotlib inline
  ```

## ¿Qué hay de nuevo?

Para una lista detallada de las características más nuevas
introducidas en el paquete con la última versión vea el archivo
[What's
new](https://github.com/seap-udea/pymcel/blob/master/WHATSNEW.md).

------------

Este paquete ha sido diseñado y escrito originalmente por Jorge I. Zuluaga (C) 2023
